pacman2pacman - Bug #29

Create P2P mirror infrastructure
2012-03-01 06:00 PM - fauno

Status: in progress % Done: 5%
Priority: wish

Assignee:

Category:

Description

P2P is always cool :D
This would include:
* Create .torrent for every package with all parabola mirrors as webseeds
¢ Create a pacman XFerCommand that downloads and seeds packages sending the .torrent files to a torrent client

(transmission-daemon or others, and also manages seeding policies)

"Seeding policies" meaning upload limit, for how long, etc. transmission-daemon can be configured to seed up until a given ratio or
stop after a certain time of inactivity, etc.

Instead of adding all mirrors as webseeds the .torrent creation script could pick three at random...

Subtasks:

Bug # 551: Support sharing packages in the pacman cache directory placed there without ... open
Bug # 569: The torrent making code should be integrated into the other repo scripts open
History

#2 - 2018-04-26 09:01 AM - bill-auger

- Project changed from Servers to pacman2pacman

#3 - 2018-04-26 01:53 PM - fauno

+1 but I'd try first without webseeds. IMO webseeds are not P2P, just download acceleration. A P2P mirror would be seeded by Parabola's
community :)

I've downloaded ISOs for other distros, when they have webseeds, no one else seeds them.

Are we sure transmission-daemon is able to seed all of the packages at the same time? What if the torrent would be multi-file, containing the
changes between now and the previous torrent? That way you could also help seed less used packages, no?

#4 - 2018-04-26 01:57 PM - fauno

ha! it was my own report... i thought it was from bill :P

#5 - 2018-04-27 05:07 AM - bill-auger

- Status changed from open to in progress

i just moved this report to the pacman2pacman project - i assume this issue was the original basis for the idea of pacman2pacman

the reason it caught my attention was that i did a reverse sort on all issues - this turned up as the oldest open issue in the system - now that
pacman2pacman exists i suppose this issue should be closed - or is pacman2pacman still "in progress" ?
